/*
 
 PrunedShrubTest.pov
 
 a good place to test different settings
 
*/

#version 3.7;

#default{ finish{ ambient 0 } }

#declare FinalRender = 1; // radiosity, area_light

global_settings{
 assumed_gamma 1.0
 #if(FinalRender)
  radiosity{
   count 32
   error_bound .5
   nearest_count 1
   recursion_limit 2
   normal on
  }
 #end
}

#include "PrunedShrub.inc"

// -=--=-=-=-=-=-=-=-=-=-=-=-=-

// a potted, pruned shrub
object{
 Potted_PrunedShrub(seed(1041))
}

// -=--=-=-=-=-=-=-=-=-=-=-=-=-

plane{y,0
 texture{
  pigment{
   bumps scale 30 turbulence 1 lambda 3
   color_map{
    [0 rgb<.6,.25,.15>/5]
    [1 rgb<.6,.25,.15>]
   }
  }
  normal{
   pigment_pattern{
    bumps scale 30 turbulence 1 lambda 5
   } 1
   accuracy .001
  }
  translate 10
 }
}

#declare LPos = <.5,1,0>;

light_source{
 LPos*1e8, 3
 #if(FinalRender)
  #local ALRes = 5;
  #local ALSize = .1*1e8;
  area_light x*ALSize, z*ALSize, ALRes, ALRes jitter
  adaptive 1
 #end
}

#include "transforms.inc"

sky_sphere{
 pigment{
  spherical scale 2 translate y
  Point_At_Trans(LPos)
  poly_wave 3
  color_map{
   [0 rgb<.2,.3,.5>]
   [1 rgb 3]
  }
 }
}

fog{rgb<.2,.3,.5> distance 1000 fog_type 2 fog_alt 100 fog_offset 0}

camera{
 right x*1 up y*1
 location<0,3,-20>
 look_at y*2.8
 angle 20
}